# -*- encoding: utf-8 -*-
#
# Author:: KOTINI TIRUMULA (kotinitirumula@gmail.com)
#
# Copyright (C) 2017, KOTINI TIRUMULA
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

require 'busser/runner_plugin'

# A Busser runner plugin for Pybot.
#
# @author KOTINI TIRUMULA (kotinitirumula@gmail.com)
#
class Busser::RunnerPlugin::Pybot < Busser::RunnerPlugin::Base

  postinstall do
	run!("curl 'https://bootstrap.pypa.io/get-pip.py' -o 'get-pip.py'")
	run!("python get-pip.py")
	run!("pip install robotframework")
		
  end

  def test
    run!("pybot -d pybotlog #{suite_path("pybot")}")
  end
end
